MODULE caldyn_vars_mod
  USE icosa
  USE transfert_mod
  IMPLICIT NONE
  PUBLIC
  SAVE

  INTEGER, PARAMETER :: energy=1, enstrophy=2

  ! temporary shared variables for caldyn
  TYPE(t_field),POINTER :: f_qu(:), f_qv(:), f_pk(:),f_wwuu(:),f_planetvel(:), &
                           f_Fel(:), f_gradPhi2(:), f_wil(:), f_Wetadot(:)

  INTEGER :: caldyn_conserv
  !$OMP THREADPRIVATE(caldyn_conserv) 

  TYPE(t_message) :: req_ps, req_mass, req_theta_rhodz, req_u, req_qu, req_geopot, req_w

END MODULE caldyn_vars_mod
